package com.qianhe.zqbf.mapper;

import com.qianhe.zqbf.domain.ZqbfXmzBfxm;
import com.qianhe.zqbf.domain.ZqbfXmzBfxmQuery;
import com.qianhe.zqbf.domain.ZqbfXmzBfxmVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ZqbfXmzBfxmMapper {
    /**
     * 条件查询
     */
    List<ZqbfXmzBfxmVo> list(ZqbfXmzBfxmQuery zqbfXmzBfxmQuery);

    /**
     * 查询详情
     */
    ZqbfXmzBfxmVo info(Long id);

    /**
     * 新增
     */
    int add(ZqbfXmzBfxm zqbfXmzBfxm);

    /**
     * 修改
     */
    int edit(ZqbfXmzBfxm zqbfXmzBfxm);

    /**
     * 删除
     */
    int delete(Long[] ids);
}
